[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.WMDestroy

Handler for widget destroyed message; clears the Handle.

## Declaration

Source position: controls.pp line 2221

`protected procedure TWinControl.WMDestroy(`
`var Message: TLMDestroy`
`); message;`

## Arguments

`Message` |  | LM_DESTROY window message which triggered the handler.

## Description

Sets Handle to the unassigned value (0) when the windowed control no longer exists.